Subject: bug#24421: 25.1.50; mouse-yank-primary should be bound to down-mouse-2

From: Philipp Stephani <[email-masked]>
Date: Thu, 21 Nov 2019 21:41:51 +0100

Am Do., 21. Nov. 2019 um 21:36 Uhr schrieb Philipp Stephani
<[email-masked]>:
>
> Am Do., 21. Nov. 2019 um 12:42 Uhr schrieb Stefan Kangas <[email-masked]>:
> >
> > Philipp Stephani <[email-masked]> writes:
> >
> > > Am Mi., 9. Okt. 2019 um 17:49 Uhr schrieb Stefan Kangas <[email-masked]>:
> > >>
> > >> Philipp Stephani <[email-masked]> writes:
> > >>
> > >> > At least in all the Gnome apps I've tried, the primary X selection is
> > >> > already inserted on the middle mouse button down event, not the up
> > >> > event.  Therefore I'd suggest to change the binding of
> > >> > mouse-yank-primary from mouse-2 to down-mouse-2.  This might even
> > >> > partially solve the Gnome-Terminal issue described in
> > >> > https://debbugs.gnu.org/cgi/bugreport.cgi?bug=24420.
> > >>
> > >> I'm not seeing this in Firefox or calibre; the selection is inserted on
> > >> the mouse button up event.  xterm does the same.
> > >>
> > >> What applications did you test?
> > >
> > > I'll re-check once I have access to a machine with Gnome (in two weeks or so).
> >
> > That was five weeks ago, so here's a friendly reminder to look into
> > this when you find the time.  Thanks in advance.
> >
>
> Hmm, I've checked now with GEdit and Gnome Terminal, and both now
> paste on mouse up. So maybe the behavior in Gnome has changed?

Nope, it hasn't. It's just that the middle button of my touchpad
generates they KeyPress event on key release (!). With a different
mouse the behavior is as described: In GEdit and Gnome Terminal,
pasting happens on key press; in Emacs it happens on key release.